'''Playlist tab for the audio screen'''

__licence__ = "GPLv2"
__copyright__ = "2008, Matt Layman"
__author__ = "Matt Layman <laymansterms.dev@gmail.com>"

from entertainerlib.frontend.gui.tabs.tab import Tab

class PlaylistTab(Tab):
    '''Tab for the audio play screen to show playlists.'''

    def __init__(self, name = "playlist", tab_title = _("Current playlist")):
        '''Initialize the tab'''

        Tab.__init__(self, name, tab_title)
        self.hide_tab()

    def can_activate(self):
        '''PlaylistTab is currently not implemented. This file is a placeholder
        for when the feature is available. Therefore the tab is not active'''
        return False

